This issue tracker has been migrated to GitHub, and is currently read-only.
For more information, see the GitHub FAQs in the Python's Developer Guide.

classification
Title: Allow to use a part of subprocess module during building Python
Type: behavior Stage: resolved
Components: Library (Lib) Versions: Python 3.3
process
Status: closed Resolution: out of date
Dependencies: Superseder:
Assigned To: Nosy List: Arfrever, eric.araujo, iritkatriel, yan12125
Priority: low Keywords: needs review, patch

Created on 2009-12-05 04:34 by Arfrever, last changed 2022-04-11 14:56 by admin. This issue is now closed.

Files
File name Uploaded Description Edit
subprocess.py-2.7.patch Arfrever, 2009-12-05 04:34 Patch for trunk (2.7)
subprocess.py-3.2.patch Arfrever, 2009-12-05 04:35 Patch for py3k branch (3.2)
Messages (3)
msg95980 - (view) Author: Arfrever Frehtes Taifersar Arahesis (Arfrever) * (Python triager) Date: 2009-12-05 04:34
It is sometimes useful to call subprocess.Popen() in setup.py of
Python. Currently it would fail, because subprocess module tries to
import some modules, which not always are used. I suggest to delay some
imports.
msg153842 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2012-02-21 03:19
> It is sometimes useful to call subprocess.Popen() in setup.py of Python.

What use cases do you have in mind?  Maybe you want to remove the half-dozen calls to os.system?
msg404741 - (view) Author: Irit Katriel (iritkatriel) * (Python committer) Date: 2021-10-22 10:04
Closed after 12 years of inactivity. The code has moved on quite a bit since then.
History
Date User Action Args
2022-04-11 14:56:55adminsetgithub: 51687
2021-10-22 10:04:09iritkatrielsetstatus: open -> closed

nosy: + iritkatriel
messages: + msg404741

resolution: out of date
stage: patch review -> resolved
2017-02-19 13:23:07yan12125setnosy: + yan12125
2012-02-21 03:19:48eric.araujosetnosy: + eric.araujo

messages: + msg153842
versions: + Python 3.3, - Python 2.7, Python 3.2
2009-12-05 19:52:25brett.cannonsetpriority: low
keywords: + needs review
type: behavior
stage: patch review
2009-12-05 04:35:48Arfreversetfiles: + subprocess.py-3.2.patch
2009-12-05 04:34:43Arfrevercreate